Dokumentacja API
Wyświetl listę kluczy API
Wyświetl listę aktywnych standardowych kluczy API na bieżącym koncie.
Wyświetl listę aktywnych standardowych kluczy API na bieżącym koncie.
Punkt końcowy
- Bazowy URL
https://runapi.ai- Wersja API
v1- Uwierzytelnianie
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
02
Treść JSONŻądanie
Wysyłaj wartości wyłącznie w podanej lokalizacji żądania.
Parametry zapytania2 pola
limitinteger
Opcjonalne
Maksymalna liczba kluczy API zwracanych na stronę.
Domyślna wartość:20
Zakres: 1 - 100
pageinteger
Opcjonalne
Numer strony przesunięcia. Wartości zaczynają się od 1.
Domyślna wartość:1
Zakres: 1
03
HTTP 200Odpowiedź sukcesu
GET /api/v1/keys
JSON
{
"keys": [
{
"allowed_models": [
"gpt-5.4"
],
"created_at": "2026-07-27T10:00:00.000Z",
"credit_limit_cents": 1000,
"credit_limit_reset_interval": "daily",
"credit_limit_windows": {
"1d": {
"limit_cents": 500
},
"1h": {
"limit_cents": 100
},
"7d": {
"limit_cents": 2000
}
},
"enabled": true,
"guardrail_id": "guardrail_123",
"id": "token_123",
"last_used_at": null,
"masked_token": "runapi_abc...wxyz",
"name": "Production"
}
],
"pagination": {
"limit": 20,
"page": 1,
"pages": 1,
"total": 1
}
}
04
HTTP 401Odpowiedź błędu (401)
Schemat odpowiedzi
JSON
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
JSON
{
"error": "Authentication required"
}
05
HTTP 403Odpowiedź błędu (403)
Schemat odpowiedzi
JSON
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
JSON
{
"error": "Management API key required"
}
06
HTTP 403Odpowiedź błędu (403)
Schemat odpowiedzi
JSON
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Przykład odpowiedzi
JSON
{
"error": "Account admin required"
}
07
HTTP 400Odpowiedź błędu (400)
Schemat odpowiedzi
JSON
{
"oneOf": [
{
"properties": {
"error": {
"description": "Czytelny dla człowieka komunikat o błędzie.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
},
{
"properties": {
"error": {
"description": "Czytelne dla człowieka podsumowanie walidacji.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Komunikaty walidacyjne identyfikowane przez publiczne pole żądania, z tablicą czytelnych dla człowieka ciągów znaków dla każdego pola.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
]
}
Przykład odpowiedzi
JSON
{
"error": "page must be an integer"
}
08
Przykład cURL
CURL
curl -X GET https://runapi.ai/api/v1/keys?page=1&limit=20 \
-H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'